E-MailRelay

Public Member Functions | List of all members
GStore::MessageStore::Iterator Struct Referenceabstract

A base class for GStore::MessageStore iterators. More...

`#include <gmessagestore.h>`

Inheritance diagram for GStore::MessageStore::Iterator:
[legend]

## Public Member Functions
virtual std::unique_ptr< StoredMessage > | next ()=0
| Returns the next stored message or a null pointer.
virtual | ~Iterator ()=default
| Destructor.

## Detailed Description

A base class for GStore::MessageStore iterators.

Definition at line 96 of file gmessagestore.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gmessagestore.h